Last Comment Bug 732800 - Fix include paths in <script type="application/javascript" src="amUtils.js"/> to 'chrome://messenger/content/amUtils.js'
: Fix include paths in <script type="application/javascript" src="amUtils.js"/>...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 14.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 07:08 PST by :aceman
Modified: 2012-03-24 14:58 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (9.71 KB, patch)
2012-03-04 07:38 PST, :aceman
iann_bugzilla: review+
jonathan.protzenko: feedback+
Details | Diff | Splinter Review
fix v2 (10.68 KB, patch)
2012-03-05 10:48 PST, :aceman
standard8: review+
Details | Diff | Splinter Review

Description :aceman 2012-03-04 07:08:00 PST
There are several occurrences of this style in the /mailnews/ tree.
Comment 1 :aceman 2012-03-04 07:38:16 PST
Created attachment 602726 [details] [diff] [review]
fix

I am not sure about the gloda path.
Comment 2 Jonathan Protzenko [:protz] 2012-03-04 09:44:16 PST
Comment on attachment 602726 [details] [diff] [review]
fix

That looks like a valid path (for Thunderbird). Out of curiosity, why the cleanup? Did someone rule that it was bad practice to use relative paths in overlays now?
Comment 3 :aceman 2012-03-04 10:12:02 PST
No, I just thought to clean it up because the prevailing style was to use absolute paths. I do not know if it is bad or good. Let's see what Ian and Mark say.
Comment 4 Ian Neal 2012-03-04 13:47:45 PST
Comment on attachment 602726 [details] [diff] [review]
fix

>+++ b/mailnews/base/prefs/content/SmtpServerEdit.xul
>+<script type="application/javascript" src="chrome://messenger/content/amUtils.js"/>
>+<script type="application/javascript" src="chrome://messenger/content/SmtpServerEdit.js"/>
Nit: as over 80 characters have src on separate line for each of the above.

>+++ b/mailnews/base/prefs/content/am-identities-list.xul
>+<script type="application/javascript" src="chrome://messenger/content/am-identities-list.js"/>
Nit: as over 80 characters have src on separate line.

>+++ b/mailnews/base/prefs/content/am-identity-edit.xul
>+  <script type="application/javascript" src="chrome://messenger/content/am-identity-edit.js"/>
Nit: as over 80 characters have src on separate line.

>+++ b/mailnews/base/prefs/content/am-server-advanced.xul
>+  <script type="application/javascript" src="chrome://messenger/content/am-server-advanced.js"/>
Nit: as over 80 characters have src on separate line.

>+++ b/mailnews/base/prefs/content/am-smtp.xul
>+  <script type="application/javascript" src="chrome://messenger/content/amUtils.js"/>
>+  <script type="application/javascript" src="chrome://messenger/content/am-smtp.js"/>
Nit: as over 80 characters have src on separate line for each of the above.

>+++ b/mailnews/base/prefs/content/smtpEditOverlay.xul
>+  <script type="application/javascript" src="chrome://messenger/content/smtpEditOverlay.js"/>
Nit: as over 80 characters have src on separate line.

>+++ b/mailnews/db/gloda/content/thunderbirdOverlay.xul
>+  <script src="chrome://gloda/content/overlay.js"/>
Nit: you add type here too and as it will be over 80 characters have src on separate line.

r=me with those fixed
Comment 5 :aceman 2012-03-05 10:48:20 PST
Created attachment 602966 [details] [diff] [review]
fix v2

Thanks, done.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-03-24 14:58:01 PDT
http://hg.mozilla.org/comm-central/rev/9890feabdc74

Note You need to log in before you can comment on or make changes to this bug.